package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceAlertLogPO;
import mhp.oee.po.gen.ResourceAlertLogPOExample;

public interface ResourceAlertLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int countByExample(ResourceAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int insert(ResourceAlertLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int insertSelective(ResourceAlertLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    List<ResourceAlertLogPO> selectByExample(ResourceAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceAlertLogPO record, @Param("example") ResourceAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceAlertLogPO record, @Param("example") ResourceAlertLogPOExample example);
}